org.apache.tomcat.util.net

## Class AprEndpoint.AsyncTimeout

- java.lang.Object
- - org.apache.tomcat.util.net.AprEndpoint.AsyncTimeout

- All Implemented Interfaces:
    Runnable
  Enclosing class:
    AprEndpoint

      protected class AprEndpoint.AsyncTimeout
      extends Object
      implements Runnable

  Async timeout thread

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AprEndpoint.AsyncTimeout()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()` The background thread that checks async requests and fires the timeout if there has been no activity.
    `protected void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AprEndpoint.AsyncTimeout

          protected AprEndpoint.AsyncTimeout()

  - ### Method Detail

    - #### run

          public void run()

      The background thread that checks async requests and fires the timeout if there has been no activity.
      Specified by:
        `run` in interface `Runnable`

    - #### stop

          protected void stop()

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.